Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
google chrome not playing youtube or soundcloud
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
MarioMaster100
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jul 2014
Posts: 76

PostPosted: Sat Jan 31, 2015 1:40 am    Post subject: google chrome not playing youtube or soundcloud Reply with quote

I think when I did my upgrades/updates google chrome and it's plugins were both rebuilt. Well youtube it buffers fine but the progress bar never moves and the only thing I can see is black in the video window and no sound. On soundcloud, it will play the first second of any song and that's all. On http://chipmusic.org/music it will play audio but it's stuttery or very slightly choppy. The spotify app that doesn't rely on a browser is also being stuttery. I was going to install chromium to see if that would work but I added
Code:
dev-libs/libxml2 icu
and
Code:
dev-qt/qtwebkit icu
to the /etc/portage/package.use file and it keeps on erroring with
Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/libxml2:2

  (dev-libs/libxml2-2.9.2:2/2::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libxml2:=[icu] required by (www-client/chromium-40.0.2214.91:0/0::gentoo, ebuild scheduled for merge)
                       ^^^                                                                                                                           
 

  (dev-libs/libxml2-2.9.2:2/2::gentoo, installed) pulled in by
    dev-libs/libxml2:2[!icu?] required by (dev-qt/qtwebkit-4.8.5:4/4::gentoo, installed)
                       ^^^^^                                                                     
Back to top
View user's profile Send private message
MarioMaster100
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jul 2014
Posts: 76

PostPosted: Sat Jan 31, 2015 3:23 am    Post subject: Reply with quote

And watching a video on vlc was a tad stuttery in audio as well, it's jumbling the audio ahead a tad O_O

Edit: mpv played the same video 100% fine
Back to top
View user's profile Send private message
MarioMaster100
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jul 2014
Posts: 76

PostPosted: Sat Jan 31, 2015 8:01 pm    Post subject: Reply with quote

I installed firefox (still like chrome more) and I'm not having issues there but it still doesn't explain the spotify desktop issues and vlc.
Back to top
View user's profile Send private message
natrix
Guru
Guru


Joined: 23 Aug 2013
Posts: 336

PostPosted: Sun Feb 01, 2015 6:15 pm    Post subject: Reply with quote

You must install the binanies for chrome:

Code:
www-plugins/chrome-binary-plugins


And add the next in "/etc/portage/package.use"

Code:
>=dev-libs/libxml2-2.9.2 icu
>=dev-qt/qtwebkit-4.8.6-r1 icu


Good Luck!!!
Back to top
View user's profile Send private message
MarioMaster100
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jul 2014
Posts: 76

PostPosted: Mon Feb 02, 2015 5:24 pm    Post subject: Reply with quote

I have had chrome-binary-plugins installed for some time and this is the first time it's acted up. Why would I have to explicitly pick the version for the package.use file, why wouldn't the ones I put be good...?
Back to top
View user's profile Send private message
natrix
Guru
Guru


Joined: 23 Aug 2013
Posts: 336

PostPosted: Mon Feb 02, 2015 8:07 pm    Post subject: Reply with quote

The two llines are a copy-paste from my package.use. I forgot to erase its :roll: :roll:
Back to top
View user's profile Send private message
MarioMaster100
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jul 2014
Posts: 76

PostPosted: Mon Feb 02, 2015 10:51 pm    Post subject: Reply with quote

Well I put
Code:
dev-libs/libxml2 icu

and
Code:
dev-qt/qtwebkit icu

but it still refused to work...
Back to top
View user's profile Send private message
natrix
Guru
Guru


Joined: 23 Aug 2013
Posts: 336

PostPosted: Tue Feb 03, 2015 3:20 am    Post subject: Reply with quote

Try it, now run

Code:
emerge --ask --update --deep --newuse --changed-use --with-bdeps=y @world


Maybe you will need too add the next in your package.use
Code:
media-libs/harfbuzz icu


If it fail, show the new output
Back to top
View user's profile Send private message
MarioMaster100
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jul 2014
Posts: 76

PostPosted: Fri Feb 06, 2015 2:53 am    Post subject: Reply with quote

Alright well that worked and I had the harfbuzz one with the icu use flag for a previous package at some point. Chromium is experiencing the same issues as chrome though. Should I keep chromium installed anyway?
Back to top
View user's profile Send private message
natrix
Guru
Guru


Joined: 23 Aug 2013
Posts: 336

PostPosted: Fri Feb 06, 2015 5:28 pm    Post subject: Reply with quote

Check the plugins in the browser:

Code:
chrome://plugins


Other option is Chrome:

Code:
www-client/google-chrome
Back to top
View user's profile Send private message
MarioMaster100
Tux's lil' helper
Tux's lil' helper


Joined: 25 Jul 2014
Posts: 76

PostPosted: Sat Feb 07, 2015 3:30 pm    Post subject: Reply with quote

Both google chrome and chromium have the adobe flash player plugin.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum